#include "netex.h"
#include "nx_tui.h"

int setup_curses(void)
{
    initscr();
    noecho(); // Stop printing key presses
    if (has_colors() && can_change_color())
    {
        start_color();
        PRINT_LINE("%i colors available, %i color pairs available.", COLORS, COLOR_PAIRS);

        init_pair(DEF_COLOR_PAIR, COLOR_WHITE, COLOR_BLACK);
        init_pair(DEF_WIN_COLOR, COLOR_GREEN, COLOR_BLACK);

    }
    return 0;
}

WINDOW* create_base_window_box(const char* title, const int nlines, const int ncols, const int begin_y, const int begin_x)
{
    WINDOW* win = newwin(nlines, ncols, begin_y, begin_x);
    if (win == NULL)
        return NULL;
    box(win, 0, 0);
    mvwprintw(win, 0, 1, title);
    return win;
}

void shutdown_curses(void)
{
    endwin();
}